---
lang: en
title: 'API docs: repository.applicationwithrepositories.model'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.applicationwithrepositories.model.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [ApplicationWithRepositories](./repository.applicationwithrepositories.md) &gt; [model](./repository.applicationwithrepositories.model.md)

## ApplicationWithRepositories.model() method

<b>Signature:</b>

```typescript
model<M extends Class<unknown>>(modelClass: M): Binding<M>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  modelClass | M |  |

<b>Returns:</b>

[Binding](./context.binding.md)<!-- -->&lt;M&gt;


